Package weka.gui.knowledgeflow

# Class InvisibleTreeModel

java.lang.Object
javax.swing.tree.DefaultTreeModel
weka.gui.knowledgeflow.InvisibleTreeModel

All Implemented Interfaces:
  `Serializable`, `TreeModel`

public class InvisibleTreeModel extends DefaultTreeModel
Subclass of `DefaultTreeModel` that contains `InvisibleNode`s.

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvisibleTreeModel(TreeNode root)`
  Constructor
  `InvisibleTreeModel(TreeNode root, boolean asksAllowsChildren)`
  Constuctor
  `InvisibleTreeModel(TreeNode root, boolean asksAllowsChildren, boolean filterIsActive)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `activateFilter(boolean newValue)`
  Activate/deactivate the visibility filter
  `Object`
  `getChild(Object parent, int index)`
  `int`
  `getChildCount(Object parent)`
  `boolean`
  `isActivatedFilter()`
  Return true if the visibility filter is active

  ### Methods inherited from class javax.swing.tree.DefaultTreeModel

  `addTreeModelListener, asksAllowsChildren, getIndexOfChild, getListeners, getPathToRoot, getRoot, getTreeModelListeners, insertNodeInto, isLeaf, nodeChanged, nodesChanged, nodeStructureChanged, nodesWereInserted, nodesWereRemoved, reload, reload, removeNodeFromParent, removeTreeModelListener, setAsksAllowsChildren, setRoot, valueForPathChanged`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InvisibleTreeModel

    public InvisibleTreeModel(TreeNode root)
    Constructor
    Parameters:
      `root` - the root of the tree

  - ### InvisibleTreeModel

    public InvisibleTreeModel(TreeNode root, boolean asksAllowsChildren)
    Constuctor
    Parameters:
      `root` - the root of the tree
      `asksAllowsChildren` - asksAllowsChildren - a boolean, false if any node can have children, true if each node is asked to see if it can have children

  - ### InvisibleTreeModel

    public InvisibleTreeModel(TreeNode root, boolean asksAllowsChildren, boolean filterIsActive)
    Constructor
    Parameters:
      `root` - the root of the tree
      `asksAllowsChildren` - asksAllowsChildren - a boolean, false if any node can have children, true if each node is asked to see if it can have children
      `filterIsActive` - true if the visibility filter is active

- ## Method Details

  - ### activateFilter

    public void activateFilter(boolean newValue)
    Activate/deactivate the visibility filter
    Parameters:
      `newValue` - true if the visibility filter should be active

  - ### isActivatedFilter

    public boolean isActivatedFilter()
    Return true if the visibility filter is active
    Returns:
      true if the visibility filter is active

  - ### getChild

    public Object getChild(Object parent, int index)
    Specified by:
      `getChild` in interface `TreeModel`
    Overrides:
      `getChild` in class `DefaultTreeModel`

  - ### getChildCount

    public int getChildCount(Object parent)
    Specified by:
      `getChildCount` in interface `TreeModel`
    Overrides:
      `getChildCount` in class `DefaultTreeModel`